//
//  NSError-Convenient.h
//  Glyphs
//
//  Created by Georg Seifert on 15.01.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSError (Convenient)

+ (NSError *)errorWithDescription:(NSString *)description code:(NSInteger)code;
+ (NSError *)errorWithDescription:(NSString *)description suggestion:(NSString *)suggestion code:(NSInteger)code;
+ (NSError *)errorDummy;
+ (NSError *)fileFormatError:(NSString *)text reqiredFormat:(int)reqiredFormat;
+ (NSError *)fileFormatError:(NSString *)text reqiredFormat:(int)reqiredFormat code:(NSInteger)code options:(NSDictionary *)options;
@end
